%global npm_name object.omit
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.0
Release: %mkrel 4
Summary: Return a copy of an object excluding the given key, or array of keys
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/object.omit
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-extendable) >= 1.0.0
Requires: npm(is-extendable) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Sun Jul 05 2020 joequant <joequant> 3.0.0-4.mga8
+ Revision: 1602154
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1503077
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1280901
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 3.0.0-1.mga7
+ Revision: 1225821
- imported package nodejs-object.omit

